@import 'settings';
@import 'typography';

.OverlayWorkNav {
    position: relative;
    display: block;

    & &__button {
        position: fixed;
        z-index: $zindex-overlay;
        top: 19px;
        right: 60px;
        background: $white;
        color: $body-font-color;
        border-color: transparent;

        .Icon {
            position: relative;
            top: 2px;
            padding-left: 5px;
            font-size: 20px;
            line-height: 0.6;
        }

        @media #{$mobile-only} {
            top: 11px;
            right: 50px;
            padding: 6px 10px 5px 10px;
        }
    }

    .WorkNav {
        width: 100%;
        padding: 70px 30px 30px 30px;

        a,
        h4 {
            @include small-nav-type;
            display: block;
            margin-bottom: 5px;
        }

        a {
            &.active {
                color: $body-font-color;
            }
        }

        @media (max-height: 600px) {
            a,
            h4 {
                margin-bottom: 2px;
            }
        }
    }

    .WorkNav__nav {
        &:not(:first-of-type) {
            padding-top: 30px;
            margin-top: 30px;
            border-top: solid 1px $body-font-color;

            @media (max-height: 600px) {
                padding-top: 15px;
                margin-top: 15px;
            }
        }
    }
}
